Package org.jdesktop.application.utils

# Enum Class PlatformType

java.lang.Object
java.lang.Enum<PlatformType>
org.jdesktop.application.utils.PlatformType

All Implemented Interfaces:
  `Serializable`, `Comparable<PlatformType>`, `Constable`

public enum PlatformType extends Enum<PlatformType>

Author:
  Illya Yalovyy

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`FREE_BSD`
`LINUX`
`OS_X`
`SOLARIS`
`WINDOWS`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String[]`
`getPatterns()`
`String`
`getResourceSuffix()`
`String`
`toString()`
`static PlatformType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlatformType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final PlatformType DEFAULT

### SOLARIS

public static final PlatformType SOLARIS

### FREE_BSD

public static final PlatformType FREE_BSD

### LINUX

public static final PlatformType LINUX

### OS_X

public static final PlatformType OS_X

### WINDOWS

public static final PlatformType WINDOWS

## Method Details

### values

public static PlatformType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlatformType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### getPatterns

public String[] getPatterns()

### getResourceSuffix

public String getResourceSuffix()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<PlatformType>`